#if os(Windows)
  import WinSDK
#elseif os(Linux)
  import struct Glibc.timespec
  public typealias timespec = Glibc.timespec
  
  public extension timespec {
    static func demo() -> timespec { return timespec() }
  }
#else // Darwin
  import struct Darwin.timespec
  public typealias timespec = Darwin.timespec
  
  public extension timespec {
    static func demo() -> timespec { return timespec() }
  }
#endif // Darwin
